# Get Default Merchant Templates Source: https://developers.unbridaled.ai/api-reference/v2/defaults/get-default-merchant-templates get /api/v2/defaults/merchant_templates Get Default Merchant Templates used by our AI when no custom Merchant Templates are present (`Merchant Template` is also known as `DiamondTemplate`). These values will be used with the `Diamonds AI Search` API. # Get Default Collections Source: https://developers.unbridaled.ai/api-reference/v2/defaults/getdefaultcollections get /api/v2/defaults/collections Get Default Collections for the bespoke collections on console. These values will be used with the `GetDiamondsByMerchant Template`. Requires any valid token. # Get Default Gem Attributes Source: https://developers.unbridaled.ai/api-reference/v2/defaults/getdefaultgemattributes get /api/v2/defaults/gem_attributes Get Possible values for Gem attributes. # Get Default Gem Ratios Source: https://developers.unbridaled.ai/api-reference/v2/defaults/getdefaultgemratios get /api/v2/defaults/gem_ratios Get Default Gem ratios. Requires any valid token # Get Default Profit Margins Source: https://developers.unbridaled.ai/api-reference/v2/defaults/getdefaultprofitmargins get /api/v2/defaults/profit_margins Get Default Profit Margins (currently all weight based). # Diamonds AI Search Source: https://developers.unbridaled.ai/api-reference/v2/diamonds/diamonds-ai-search post /api/v2/diamonds/ai_search Perform AI search using predefined merchant diamond templates. Each merchant template has a `group` to allow results from different templates from being returned at once. For example, you can create a `group` called `ai_solitaire` with `Standard`, `Premium` and `Ideal` templates if you plan to display the result together. A `group` in the merchant template can roughly map to a `collection` of products in Shopify or other e-commerce platforms. This allows you to reuse different predefined templates easily for a `group` of products. Refer to `List Merchant Templates` API to learn about Merchant diamonds templates or check our tutorial to learn more about our AI merchant template concept here: [AI Curated Results](https://docs.unbridaled.ai/settings/ai-curated-results). # Merchant Search Diamonds Source: https://developers.unbridaled.ai/api-reference/v2/diamonds/merchant-search-diamonds post /api/v2/diamonds/merchant_search Search the entire diamonds marketplace using filters. # Is In Stock Source: https://developers.unbridaled.ai/api-reference/v2/inventory/is-in-stock get /api/v2/diamonds/{sku}/is_in_stock Verify if a diamond sku is in stock # List Merchant Addresses Source: https://developers.unbridaled.ai/api-reference/v2/merchant-addresses/list-merchant-addresses get /api/v2/merchant_addresses/list List all shipping addresses associated with a merchant. ## Returns An object with a `merchant_addresses` array of address objects and a `total` count. # List Merchant Templates Source: https://developers.unbridaled.ai/api-reference/v2/merchant-templates/list-merchant-templates get /api/v2/merchant_templates/list Retrieve a list of merchant templates, including both predefined and default templates. Merchant templates define structured configurations for AI-powered diamond searches, allowing merchants to create curated diamond collections based on specific attributes. Each template belongs to a `group`, which ensures that diamonds from different templates within the same group can be displayed together in search results. Groups function similarly to collections in e-commerce platforms like Shopify, making it easy to organize and reuse different predefined templates for a consistent shopping experience. This endpoint is useful for merchants who want to retrieve their available AI-driven search templates and leverage groups to efficiently manage and customize their diamond offerings. For more details on merchant templates and AI-curated results, refer to the documentation: [AI Curated Results](https://docs.unbridaled.ai/settings/ai-curated-results). ## Returns A list of merchant template objects. # List Orders Source: https://developers.unbridaled.ai/api-reference/v2/orders/list-orders get /api/v2/orders/list List Orders. ## Returns An object with a `metadata` field containing pagination information, and an `orders` field containing a list of order objects. # Place Order Source: https://developers.unbridaled.ai/api-reference/v2/orders/place-order post /api/v2/orders/place Place an order by specifying skus and quantities. ## Returns Returns an `Order` object if successful. # Search Orders Source: https://developers.unbridaled.ai/api-reference/v2/orders/search-orders get /api/v2/orders/search Search Orders. Request query parameters are similar to `ListOrders` with the addition of `?query=` to allow free text search in certain fields. ## Returns An object with a "metadata" field containing pagination information, and an `orders` field containing a list of order objects. # Get Profit Margin Source: https://developers.unbridaled.ai/api-reference/v2/profit-margins/get-profit-margin get /api/v2/profit_margins/{profit_margin_uuid} Get profit margin according to profit_margin_uuid. ## Returns A profit margin object. # List Profit Margins Source: https://developers.unbridaled.ai/api-reference/v2/profit-margins/list-profit-margins get /api/v2/profit_margins/list List all profit margins. ## Returns A list of profit_margin objects.